Page MenuHomePhabricator

Edits prevented by AbuseFilter through tux interface is shown as successfully saved
Closed, ResolvedPublic

Description

When a user triggers an abuse filter while editing a translation through tux, the edit is shown as successfully saved even if the the edit was not actually saved.

Event Timeline

Glaisher created this task.Aug 6 2016, 9:19 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 6 2016, 9:19 AM

During testing, I also noticed that it doesn't error for SpamBlacklist hits either.

Glaisher claimed this task.Aug 7 2016, 3:39 PM

Change 303430 had a related patch set uploaded (by Glaisher):
ext.translate.editor: Improve save failure detection

https://gerrit.wikimedia.org/r/303430

Change 303430 merged by jenkins-bot:
ext.translate.editor: Improve save failure detection

https://gerrit.wikimedia.org/r/303430

Glaisher closed this task as Resolved.Aug 9 2016, 3:10 AM